//{namespace name="backend/finteza_analytics/main"}

//{block name="backend/finteza_analytics/view/settings/statistics"}
Ext.define('Shopware.apps.FintezaAnalytics.view.settings.Statistics', {
    extend: 'Ext.form.FieldSet',
    alias: 'widget.statistics',
    stateId: 'statistics',
    collapsible: true,
    collapsed: false,
    hidden: false,
    width: '100%',
    margin: 5,
    padding: 10,
    border: true,
    defaults: {
        labelWidth: 160,
        anchor: '100%'
    },
    initComponent: function () {
        var me = this;

        me.title = '{s name="statistics_title"}Where to view statistics{/s}';
        me.items = me.createForm();

        me.callParent(arguments);
    },
    createForm: function () {
        var me = this;

        return [
			Ext.create('Ext.container.Container', {
                html: '{s name="statistics_text"}Statistics on your website visits is collected in the <a href="https://panel.finteza.com?utm_source=shopware.admin&utm_medium=link&utm_term=finteza.panel&utm_content=finteza.plugin.shopware&utm_campaign=finteza.shopware" target="_blank">Finteza dashboard</a>. Log in using the email and password specified during registration. If you forgot the password, use the <a href="https://panel.finteza.com/recovery?utm_source=shopware.admin&utm_medium=link&utm_term=finteza.password.recovery&utm_content=finteza.plugin.shopware&utm_campaign=finteza.shopware" target="_blank">password recovery page</a>.{/s}',
                styleHtmlContent: true,
            }),
        ];
    },
});
//{/block}
