//{namespace name="backend/finteza_analytics/main"}

//{block name="backend/finteza_analytics/view/settings/window"}
Ext.define('Shopware.apps.FintezaAnalytics.view.settings.Window', {
    extend: 'Ext.container.Container',
    alias: 'widget.settings',
    layout: {
        type: 'vbox',
        align: 'stretch'
    },
    autoScroll: true,
    initComponent: function () {
        var me = this;

        me.title = '{s name="title"}Finteza Analytics{/s}';
        me.items = me.getItems();

        me.callParent(arguments);
    },
    getItems: function () {
        var me = this,
            data = me.record[0].data;

        if (data.FINTEZA_WEBSITE_ID != '') {
            return [
                {
                    xtype: 'intro',
                    record: me.record
                },
                {
                    xtype: 'general',
                    record: me.record
                },
                {
                    xtype: 'help',
                    record: me.record
                },
                {
                    xtype: 'statistics',
                    record: me.record
                },
            ];
        } else {
            return [
                {
                    xtype: 'intro',
                    record: me.record
                },
                {
                    xtype: 'general',
                    record: me.record
                },
                {
                    xtype: 'register',
                    record: me.record
                },
                {
                    xtype: 'help',
                    record: me.record
                },
                {
                    xtype: 'statistics',
                    record: me.record
                },
            ];
        }
    }
});
//{/block}
