//{namespace name="backend/finteza_analytics/main"}

//{block name="backend/finteza_analytics/application"}
Ext.define('Shopware.apps.FintezaAnalytics', {
    extend: 'Enlight.app.SubApplication',
    name: 'Shopware.apps.FintezaAnalytics',
    bulkLoad: true,
    loadPath: '{url action=load}',
    controllers: [
        'Main',
    ],
    models: [
        'Settings',
    ],
    stores: [
        'Settings',
    ],
    views: [
        'element.Boolean',
        'element.Number',
        'element.Select',
        'element.Text',
        'main.Window',
        'settings.Window',
        'settings.Intro',
        'settings.General',
        'settings.Register',
        'settings.Help',
        'settings.Statistics',
    ],
    launch: function () {
        var me = this;
        return me.getController('Main').mainWindow;
    },
});
//{/block}
