//{block name="backend/finteza_analytics/model/settings"}
Ext.define('Shopware.apps.FintezaAnalytics.model.Settings', {
    extend: 'Ext.data.Model',
    autoLoad: true,
    fields: [
        { name: 'register_name', type: 'string' },
        { name: 'register_email', type: 'string' },
        { name: 'FINTEZA_AUTH', type: 'boolean' },
        { name: 'FINTEZA_WEBSITE_ID', type: 'string' },
        { name: 'FINTEZA_TRACKING_HASH', type: 'boolean' },
        { name: 'FINTEZA_TRACKING_LINK', type: 'boolean' },
        { name: 'FINTEZA_EXACT_TIME', type: 'boolean' },
        { name: 'FINTEZA_TRACKING_HOOKS', type: 'boolean' },
        { name: 'FINTEZA_SIGNATURE', type: 'string' },
    ],
    proxy: {
        type: 'ajax',
        api: {
            read: '{url controller="FintezaAnalytics" action="getFields"}'
        },
        reader: {
            type: 'json',
            root: 'data',
        }
    }

});
//{/block}
